
#version 3.5;

#include "colors.inc" 
#include "transforms.inc" 

 #include "mimev346kmoddata.pov"     //hard data points not to mess unless careful and reconstructing skeleton.

#if(0)
global_settings{
	adc_bailout 0.0039
	//ambient_light rgb <255/255,255/255,255/255>
	assumed_gamma 1.200
	hf_gray_16 0
	irid_wavelength rgb <68/255,46/255,36/255>
	max_intersections 64
	max_trace_level 10
	number_of_waves 10
    radiosity {
      pretrace_start 0.08
      pretrace_end   0.01
      //count 5*pow(10,2*clock)
      count 300
      nearest_count 10
      error_bound 0.02
      recursion_limit 1

      low_error_factor 0.2
      gray_threshold 0.0
      minimum_reuse 0.015
      brightness 2

      adc_bailout 0.01/2
    
  }
} 
#else

 light_source {1000*y+1000*z rgb 1.7} 
 light_source {500*y-1000*z rgb .7}
 //light_source {300*y+-1000*z+500*x rgb 1.} 
 //light_source {300*y+-1000*z-500*x rgb 1.}
#end 


    
#declare clockforMime=clock;//frame_number/final_frame*1;
//#declare clockforRest=clock;//int(frame_number/15)/final_frame*15;

#declare clockholder=
        spline {
        linear_spline
        //cubic_spline
        0,    <0,0,0> ,
        0.05, <0,0,0> ,   
        0.06, <0,0.01,0>, 
        1.06, <0,1.01,0>,
}

#declare clockforRest=clockholder(clock).y;
  
#declare commonfile="mimev61poses20d11.pov";
//#declare commonfile="mimev61poses16pcwo5.pov";
                                                          
#declare movement1=2*pi*frame_number/100*2/10;;
#declare movement2=2*pi*int(frame_number/10)/10/10/2;

 
#declare signy1=  //caption 1
        spline {
        linear_spline
        //cubic_spline
        0,    <0,.25,0> ,
        0.05, <0,.25,0> ,   
        0.10, <0,0,0>   ,
        0.88, <0,0,0>   ,
        0.92, <0,-.02,0>,
        0.95, <0,.1,0> ,
}
#declare signy2=  //caption 2
        spline {
        linear_spline
        //cubic_spline
        0,    <0,.25,0> 
        0.55, <0,.25,0>    
        0.60, <0,0,0> 
        0.88, <0,0,0>
        0.95, <0,-.02,0>
        1.00, <0,.1,0>
}    

#declare CAMLOKEY=  //camera location
        spline {
        linear_spline
        //cubic_spline
        0,    <-340,79.1,2>,//<2.0,79.1,340>, 
        0.25, <2.0,79.1,340>,//<340,79.1,2>, 
        0.50, <340,79.1,2>,//<2.0,79.1,-340>, 
        0.75, <2.0,79.1,-340>,//<-340,79.1,2>,      
        1.00, <-340,79.1,2>}//<2.0,79.1,340>}  

#declare CAMLOOKATTY=  //camera jerking
        spline {
        linear_spline
        //cubic_spline
        0,    <2.000005,65,0>,   
        1.0, <2.000005,65,0>}

 #declare camloke=CAMLOKEY(clock);   
 //#declare camloke=<2.0,79.1,340>;         
//#declare camloke=<-101.0,389.1,141>;         
// #declare camloke=<192.0,19.1,3.40>;   
 
 #declare camlook_at=CAMLOOKATTY(clock);
/// #declare camlook_at=<2.000005,65,0>;        
 #declare camlook_at=<2.000005,55,0>;          
 //#declare camlook_at=<2.000005,5,0>;  

//#declare cameratransform=transform{  rotate -90*y+0*x translate <300,44,40>}
#declare seedirn= camlook_at-camloke;

//sphere{camlook_at,12 pigment{red 1}}

//#declare cameratransform=transform{ Reorient (z,camlook_at-camloke) translate camloke}
//#declare cameratransform=transform{ rotate myrote(z+0.00001,-camlook_at+camloke) translate camloke} 
//#declare cameratransform=transform{ Oritransform(z,camlook_at-camloke) translate camloke}

#declare cameratransform=transform{ Reorient (z,seedirn*<1,0,1>) Reorient (seedirn*<1,0,1>,seedirn)translate camloke}

//myrote(v1,v2)                    
fog {rgb 1 distance 2000}

box{-5000,<5000,0,5000> pigment{White} }
box{<-5000,-1,19>,<5000,1,20> pigment{Red}}
box{<-5000,-1,-19>,<5000,1,-20> pigment{Red}}

 
  sky_sphere {
    pigment {
      gradient y
      color_map {
        [0 color blue 1]
        [1 color rgb 1]
      }
      scale 2
      translate -1
    }
  } 
 
//background{White}

camera {
  //orthographic
  location  <0,0, -1>
  look_at   <0.0, 0,  0.0>
  transform{cameratransform}
  angle 45 // hey don't change from 45  or mess up caption!   
   
   #if(0)
    focal_point camlook_at //< 1, 1, -6>    // pink sphere in focus
    aperture .4     // a nice compromise     
    //  aperture 0.05    // almost everything is in focus
  //  aperture 1.5     // much blurring
  //  blur_samples 4       // fewer samples, faster to render
    blur_samples 120      // more samples, higher quality image
    #end 
    //normal { bumps 0.13 translate 1*clock }
  
}

#declare caption1=
union{
box{<-12.1,2.0,-.05>,<5.2,-2.0,.050> pigment {White} finish {ambient 1 diffuse 0} no_shadow}
box{<-12.3,2.2,-.02>,<5.4,-2.2,.025> pigment {rgb 0} finish {ambient 1 diffuse 0}no_shadow}
text { ttf "COMICBD.ttf" "Mime Man walks away" 1, 0  pigment{Black}finish {ambient 1 diffuse 0} translate <-5,1,-.1> rotate 180*y   no_shadow}
text { ttf "COMICBD.ttf" "using his powers of " 1, 0  pigment{Black}finish {ambient 1 diffuse 0} translate <-5,-.25,-.1> rotate 180*y   no_shadow}
text { ttf "COMICBD.ttf" "AVERAGE SPEED!" 1, 0  pigment{Black}finish {ambient 1 diffuse 0} translate <-5,-1.50,-.1> rotate 180*y   no_shadow}
scale .05  rotate 180*y translate <0.07,100.4,.7>+signy2(clockforRest)
}         
#declare caption2=
union{
box{<-12.1,2.0,-.05>,<5.2,-2.0,.050> pigment {White} finish {ambient 1 diffuse 0} no_shadow}
box{<-12.3,2.2,-.02>,<5.4,-2.2,.025> pigment {rgb 0} finish {ambient 1 diffuse 0}no_shadow}
text { ttf "COMICBD.ttf" "and..." 1, 0  pigment{Black}finish {ambient 1 diffuse 0} translate <-5,1,-.1> rotate 180*y   no_shadow}
text { ttf "COMICBD.ttf" "ANKYLBOTS!" 1, 0  pigment{Black}finish {ambient 1 diffuse 0} translate <-5,-.25,-.1> rotate 180*y   no_shadow}
//text { ttf "COMICBD.ttf" "ion" 1, 0  pigment{Black}finish {ambient 1 diffuse 0} translate <-5,-1.50,-.1> rotate 180*y   no_shadow}
scale .05  rotate 180*y translate <0.07,100.4,.7>+signy2(clockforRest)
} 



object{caption1  transform{cameratransform}}
object{caption2  transform{cameratransform}}
  
//#include "lab.pov"  object{lab}
//media {   scattering { 1, rgb 0.03}  intervals 1  samples 5  method 3}                                                          

                                                                                 

                                                  
                                                      
 
  
 
#declare clockforRest=clock+0.005;
                                         
 #include "mimev346kmoddata.pov"     //hard data points not to mess unless careful and reconstructing skeleton. 
//#include commonfile      //parameter file for movement of joints.  good dance file                                
#include commonfile //"mimev61poses20d06.pov"      //parameter file for movement of joints.   standard walk file
#include "mimev353ccrunch.pov"  //hard data file for movement processing. not to mess unless rehauling the math.
//#include "mimecosts309d3.pov"   //the costumes & textures  costs02e or b 
#include "mimecosts309eg4.pov"//palein
//#include "mimecosts311s12.pov" //likely home of glovetext     
#include "mimeobjects399_5g04.pov" // the body 2   data like evil guy


object{body  rotate 0*y scale 1  translate -40*x-50*z}  //70?  

#declare clockforRest=clock-0.005;
#include "mimev346emoddata.pov"     //hard data points not to mess unless careful and reconstructing skeleton.  
#include commonfile      //parameter file for movement of joints.
#include "mimev351ccrunche.pov"  //hard data file for movement processing. not to mess unless rehauling the math.
#include "mimecosts309e4.pov"   //the costumes & textures  costs02e or b
#include "mimeobjects399f.pov" // the body         Dr. Palein                                 
object{body  rotate 0*y scale 1  translate -80*x-50*z}   
                                                              
/* #include "mimev346kmoddata.pov"     //hard data points not to mess unless careful and reconstructing skeleton. 
//#include commonfile      //parameter file for movement of joints.  good dance file                                
#include "mimev61poses16pcwo5.pov"      //parameter file for movement of joints.   standard walk file
#include "mimev353ccrunch.pov"  //hard data file for movement processing. not to mess unless rehauling the math.
//#include "mimecosts309d3.pov"   //the costumes & textures  costs02e or b 
#include "mimecosts311s12.pov" //likely home of glovetext     
#include "mimeobjects399_5e04.pov" // the body 2   nice but ssl.square chin                                        
object{body  rotate 0*y scale 1  translate 20*x}                
  */                                                   
#declare clockforRest=clock+0.01;                                                
#include "mimev345moddata.pov"     //hard data points not to mess unless careful and reconstructing skeleton.
#include commonfile      //parameter file for movement of joints.
#include "mimev351ccrunch.pov"  //hard data file for movement processing. not to mess unless rehauling the math.
#include "mimecosts309d3.pov"   //the costumes & textures  costs02e or b
#include "mimeobjects399.pov" // the body  //old classic mime man       

object{body  rotate 0*y scale 1  translate -0*x-50*z}  //70? 

#declare clockforRest=clock-0.01;                                                                                                                  
 #include "mimev346kmoddata.pov"     //hard data points not to mess unless careful and reconstructing skeleton. 
//#include commonfile      //parameter file for movement of joints.  good dance file                                
#include commonfile      //parameter file for movement of joints.   standard walk file
#include "mimev353ccrunch.pov"  //hard data file for movement processing. not to mess unless rehauling the math.
//#include "mimecosts309d3.pov"   //the costumes & textures  costs02e or b 
#include "mimecosts311s12.pov" //likely home of glovetext     
#include "mimeobjects399_5e01.pov" // the body 2      pointed chin, new default      
                      
object{body  rotate 0*y+0 scale 1  translate 40*x-50*z}                                         

#declare clockforRest=clock+0.015;
  #include "mimev346jmoddata.pov"     //hard data points not to mess unless careful and reconstructing skeleton. 
//#include commonfile      //parameter file for movement of joints.  good dance file                                
#include commonfile      //parameter file for movement of joints.   standard walk file
#include "mimev353ccrunch.pov"  //hard data file for movement processing. not to mess unless rehauling the math.
//#include "mimecosts309d3.pov"   //the costumes & textures  costs02e or b 
#include "mimecosts311s11.pov" //likely home of glovetext     
#include "mimeobjects399_4e92.pov" // the body 2  square chin Demi goofball
  
object{body  rotate 0*y scale 1  translate 80*x-50*z} 



#declare clockforRest=clock-0.015;
#include "mimev346moddata.pov"     //hard data points not to mess unless careful and reconstructing skeleton. 
#include commonfile      //parameter file for movement of joints.  
#include "mimev351ccrunch.pov"  //hard data file for movement processing. not to mess unless rehauling the math. 
#include "mimecosts310m.pov" //likely home of glovetext
#include "mimeobjectso360b.pov" // the body  7        //black man 
object{body  rotate 0*y+0 scale 1  translate 120*x-50*z} 

#declare clockforRest=clock-0.02;
// The irishman in uniform
#include "mimev346w3moddata.pov"     //hard data points not to mess unless careful and reconstructing skeleton.                                 
#include commonfile      //parameter file for movement of joints.   standard walk file
#include "mimev351ccrunch.pov"  //hard data file for movement processing. not to mess unless rehauling the math.
#include "mimecosts310i.pov" //likely home of glovetext    
#include "mimecosts310we4.pov" //likely home of glovetext 
#include "mimeobjectso373d.pov" // the body  6         //good & unique
object{body  rotate 0*y scale 1  translate -120*x-50*z} 





#declare clockforRest=clock+0.00;
#include "mimev346moddata.pov"     //hard data points not to mess unless careful and reconstructing skeleton. 
#include commonfile      //parameter file for movement of joints.   standard walk file
#include "mimev351ccrunch.pov"  //hard data file for movement processing. not to mess unless rehauling the math.
#include "mimecosts309d33.pov"   //the costumes & textures  costs02e or b
//#include "mimeobjects399t19.pov" // the body 
//object{body  rotate 180*y+0 scale 1  translate -0*delx+zee2}
#include "mimeobjects399rd2.pov" // the body  9   ff    //good & unique 
object{body  rotate 180*y+0 scale 1  translate -20*x+50*z}


#declare clockforRest=clock+0.005;
#include commonfile      //parameter file for movement of joints.   standard walk file
#include "mimev351ccrunch.pov"  //hard data file for movement processing. not to mess unless rehauling the math.
#include "mimebotobjectso303a04.pov" // the body 10    ff
object{body  rotate 180*y+0 scale 1  translate 20*x+50*z}  

#declare clockforRest=clock-0.005;
#include commonfile      //parameter file for movement of joints.   standard walk file
#include "mimev351ccrunch.pov"  //hard data file for movement processing. not to mess unless rehauling the math.

#include "mimecosts310w.pov" //likely home of glovetext
#include "mimeobjects400w4c.pov" // the body     11    
object{body   rotate 180*y+0 scale 1  translate -60*x+50*z} 

#declare clockforRest=clock+0.01;
#include commonfile      //parameter file for movement of joints.   standard walk file
#include "mimev351ccrunch.pov"  //hard data file for movement processing. not to mess unless rehauling the math.
#include "mimecosts309d3.pov" //likely home of glovetext
#include "mimeobjects399w9b.pov" // the body  12      
object{body  rotate 180*y+0 scale 1  translate 60*x+50*z}

#declare clockforRest=clock-0.01;
#include commonfile      //parameter file for movement of joints.   standard walk file
#include "mimev351ccrunch.pov"  //hard data file for movement processing. not to mess unless rehauling the math.
#include "mimecosts309d3.pov" //likely home of glovetext
#include "mimeobjects400w1.pov" // the body     13    
object{body  rotate 180*y+0 scale 1  translate 100*x+50*z}

#declare clockforRest=clock+0.015;
#include commonfile      //parameter file for movement of joints.   standard walk file
#include "mimev351ccrunch.pov"  //hard data file for movement processing. not to mess unless rehauling the math.
#include "mimeobjects400w6z.pov" // the body     14    
object{body  rotate 180*y+0 scale 1  translate -100*x+50*z}

#declare clockforRest=clock-0.015;
#include commonfile      //parameter file for movement of joints.   standard walk file
#include "mimev351ccrunch.pov"  //hard data file for movement processing. not to mess unless rehauling the math.
#include "mimeobjects400w3.pov" // the body      15   
object{body  rotate 180*y+0 scale 1  translate -140*x+50*z}
  





            

                                                          
              